## petsc 3.19.6+dfsg1

=== share/petsc/CMakeLists.txt ===
#
#  This is a sample CMakeLists.txt suitable for direct use with a new PETSc application or
#  you can add fragments of material below to an existing applications CMakeLists.txt
#
#  Usage:  To build ex1 from ex1.c
#    rm -fr build
#    mkdir build
#    cd build
#    cmake ..
#    make
#    ./ex1
#
#  By default it gets both the compiler information and the library information from PETSc
#
cmake_minimum_required(VERSION 3.1.0)

set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

# set root of location to find PETSc's pkg-config
set(PETSC $ENV{PETSC_DIR}/$ENV{PETSC_ARCH})
set(ENV{PKG_CONFIG_PATH} ${PETSC}/lib/pkgconfig)

# Remove the lines below if you do not wish to have PETSc determine the compilers
execute_process ( COMMAND pkg-config PETSc --variable=ccompiler COMMAND tr -d '\n' OUTPUT_VARIABLE C_COMPILER)
SET(CMAKE_C_COMPILER ${C_COMPILER})
execute_process ( COMMAND pkg-config PETSc --variable=cxxcompiler COMMAND tr -d '\n' OUTPUT_VARIABLE CXX_COMPILER)
if (CXX_COMPILER)
  SET(CMAKE_CXX_COMPILER ${CXX_COMPILER})
endif (CXX_COMPILER)
execute_process ( COMMAND pkg-config PETSc --variable=fcompiler COMMAND tr -d '\n' OUTPUT_VARIABLE FORTRAN_COMPILER)
if (FORTRAN_COMPILER)
  SET(CMAKE_Fortran_COMPILER ${FORTRAN_COMPILER})
  enable_language(Fortran)
endif (FORTRAN_COMPILER)

#  tells CMake to build the application ex1 from the source file ex1.c
#  this must appear AFTER the compilers are set
project(ex1)
add_executable(ex1 ex1.c)

find_package(PkgConfig REQUIRED)
pkg_search_module(PETSC REQUIRED IMPORTED_TARGET PETSc)
target_link_libraries(ex1 PkgConfig::PETSC)

## petsc 3.1.dfsg

=== debian/changelog ===
petsc (3.1.dfsg-7) unstable; urgency=low

  * Added shared_freebsd8 target to conf/rules (closes: #591262).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Wed, 04 Aug 2010 14:35:10 -0400

petsc (3.1.dfsg-6) unstable; urgency=low

  * Fixed clean target so it doesn't remove TAGS files from the .pc directory,
    causing quilt to forget to revert it (closes: #589063, #589064).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Thu, 15 Jul 2010 14:46:58 -0400

petsc (3.1.dfsg-5) unstable; urgency=low

  * Added patch target so dpkg-buildpackage -B actually runs the build-arch
    target with patches applied (closes: #584551, #586220, #588334).
  * Added a couple more file removals to debian/rules clean target.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Wed, 14 Jul 2010 10:24:21 -0400

petsc (3.1.dfsg-4) unstable; urgency=low

  * Upstream patch level 3.
  * Fix to clean target.
  * libpetsc3.1-dev depends on libhdf5-mpi-dev.
  * Build-conflict with atlas libs since they mess up other packages' builds.
  * Change target architectures eliminating hppa (closes: #529485).
  * Reinstated mpirun_lam script since LAM arches will need it.
  * Point all obsolete libraries' alternative symlinks at petsc library.
  * Added source lintian overrides about Adam Powell's name.
  * Bumped Standards-Version.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue, 06 Jul 2010 23:00:50 -0400

petsc (3.1.dfsg-3) unstable; urgency=low

  * Symlink $PETSC_DIR/conf/base -> variables for 3.0.x compatibility.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Thu, 27 May 2010 08:45:04 -0400

petsc (3.1.dfsg-2) unstable; urgency=low

  * Upstream patch level 2.
  * Patched to have the effect of regenerating config.[guess|sub] so clean is
    cleaner.
  * Added a few more files to the debian/rules clean target.
  * Added -c-opt to petscvariables directory in examples tarball.
  * Added --with-c-support to configure options (closes: #580546).
  * Changed control file to conform to Debian Science Policy Manual.
  * Added diagnostic to indicate MPI implementation and directory.
  * Disabled HDF5 support with LAM because libhdf5-lam-dev is missing at least
    one needed library libhdf5_fortran.so (closes: #582290).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Wed, 19 May 2010 19:14:34 -0400

petsc (3.1.dfsg-1) unstable; urgency=low

  * New upstream release, patch level 1 (closes: #576023).
  * Removed bin/win32fe/win32fe.exe and win32feutils.dll, docs/manual.pdf and
    src/tops/twopager.pdf from upstream due to lack of source.
  * Changed BLAS and LAPACK links to -lblas and -llapack (closes: #577875).
  * PETSc brings this into -dev package config files (closes: #579578).
  * Added --with-clanguage=C++ to configure commands (closes: #576799).
  * Added HDF5 support (closes: #566920).
  * Changed to source format 3.0 (quilt).
  * Bumped Standards-Version.
  * Added ${misc:Depends} to all package Depends fields.
  * Disabled SuperLU because this PETSc version doesn't seem compatible.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Fri, 30 Apr 2010 19:08:52 -0400

petsc (3.0.0.dfsg-6) unstable; urgency=low

  * Updated to patch level 10.
  * Added ftn-auto and ftn-custom finclude subdirectories (closes: #534211).
  * Added --with-fortran-interfaces=1 to configure calls (closes: #529970).
  * Removed Fortran libs from BLASLAPACK_LIBS in the case of Debian's special
    blas/lapack libraries in math-blaslapack.m4 (closes: #559119).
  * Changed BLAS/LAPACK links to Debian's special 3gf libs.
  * Added Build-Depends on automake, and copy its config.guess and config.sub
    to replace PETSc's versions of those.
  * Versioned dependency on debhelper.
  * Bumped Standards-Version.
  * Added README.source.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Fri, 11 Dec 2009 19:35:42 -0500

petsc (3.0.0.dfsg-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * fix Build-Depends for new dpkg-dev (closes: #535276) 

 -- Rene Engelhard <rene@debian.org>  Fri, 03 Jul 2009 10:31:34 +0200

petsc (3.0.0.dfsg-5) unstable; urgency=medium

  * Removed babel-1.2.0 and libsidl-dev from Build-Depends (closes: #529485).
  * Patched conf/rules to remove double-colon clean target (closes: #533342).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue, 16 Jun 2009 14:49:31 -0400

petsc (3.0.0.dfsg-4) unstable; urgency=low

  * Removed --prefix=/usr because it interfered with building shared libs
    (closes: #529303).
  * Fixed buggy petsc.m4 (closes: #528788).
  * Disabled sprng linkage because the functions PETSc needs aren't in the
    Debian sprng package, pending closure of bug 529295.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Mon, 18 May 2009 15:15:30 -0400

petsc (3.0.0.dfsg-3) unstable; urgency=low

  [Christophe Prud'homme]
  * debian/rules: use --prefix=/usr in configure

  [Adam C. Powell, IV]
  * Removed superfluous scotch shlib patch (closes: #528556).
  * Added fftw and sprng linkages (closes: #515165), but actually doing fftw
    will require it to use MPI (bug 528680).
  * Changed PETSC_ARCH to DEB_BUILD_GNU_SYSTEM, and included it in configure
    command (closes: #528619).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Thu, 14 May 2009 13:54:25 -0400

petsc (3.0.0.dfsg-2) unstable; urgency=low

  * Removed different package name by MPI implementation (closes: #522764).
  * Upstream patch level 5.
  * Updated petsc.m4 to 3.0.0 conventions (closes: #528408).
  * Updated math-blaslapack.m4 adding gf to library names.
  * Added Scotch linkage.
  * Stopped trying to build "dynamic" libraries (closes: #522287).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Wed, 13 May 2009 09:32:01 -0400

petsc (3.0.0.dfsg-1) unstable; urgency=low

  * New tarball without non-free bin/win32fe.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Fri, 27 Mar 2009 16:15:33 -0400

petsc (3.0.0-1) unstable; urgency=low

  * New upstream release (closes: #509692).
  * Build-depends on mpi-default-dev and mpi-default-bin, though still uses


=== debian/control ===
Source: petsc
Section: devel
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: "Adam C. Powell, IV" <hazelsct@debian.org>
DM-Upload-Allowed: yes
Standards-Version: 3.9.0
Build-Depends: debhelper (>= 5.0), quilt, python (>= 2.2), gfortran, automake,
 libx11-dev, mpi-default-dev, mpi-default-bin,
 libblas-dev | libblas-3gf.so, liblapack-dev | liblapack-3gf.so,
 libsuitesparse-dev (>= 3.1.0-2),
 libspooles-dev (>= 2.2-6), libhypre-dev (>= 2.4.0), libscotch-dev,
 libhdf5-mpi-dev
Build-Conflicts: libatlas3gf-base, libatlas-base-dev
Vcs-Git: git://git.debian.org/git/debian-science/packages/petsc.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/petsc.git
Homepage: http://www.mcs.anl.gov/petsc

Package: libpetsc3.1-dev
Architecture: alpha amd64 arm armel i386 ia64 mips mipsel powerpc ppc64 s390 sparc kfreebsd-i386 kfreebsd-amd64 hurd-i386
Section: libdevel
Depends: libpetsc3.1 (= ${binary:Version}), ${mpi-dev}, ${linear-algebra-dev}, ${petsc-compilers}, ${petsc-extra-dev}, libx11-dev, libsuitesparse-dev, libsuperlu3-dev, libspooles-dev, libhypre-dev (>= 2.0.0.dfsg-7), libscotch-dev, ${babel-dev}, ${misc:Depends}, libhdf5-mpi-dev
Suggests: petsc-dev (= ${binary:Version}), libpetsc3.1-dbg (= ${binary:Version}), petsc3.1-doc (= ${binary:Version}), libluminate-dev
Provides: petsc3.1-dev
Description: Static libraries, shared links, header files for PETSc
 PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
 of data structures and routines for the scalable (parallel) solution of
 scientific applications modeled by partial differential equations.  It employs
 the MPI standard for all message-passing communication.  Several sample
 scientific applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.

Package: petsc-dev
Architecture: all
Section: libdevel
Depends: libpetsc3.1-dev, ${misc:Depends}
Suggests: petsc-dbg
Description: Meta-package depending on latest PETSc development package
 This package will always depend on the most recent version of petscX-dev
 (X=version), so if you install it then you will get upgrades automatically.

Package: libpetsc3.1
Architecture: alpha amd64 arm armel i386 ia64 mips mipsel powerpc ppc64 s390 sparc kfreebsd-i386 kfreebsd-amd64 hurd-i386
Section: libs
Depends: ${shlibs:Depends}, ${mpi}, ${misc:Depends}
Description: Shared libraries for version 3.1 of PETSc
 PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
 of data structures and routines for the scalable (parallel) solution of
 scientific applications modeled by partial differential equations.  It employs
 the MPI standard for all message-passing communication.  Several sample
 scientific applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.

Package: libpetsc3.1-dbg
Architecture: alpha amd64 arm armel i386 ia64 mips mipsel powerpc ppc64 s390 sparc kfreebsd-i386 kfreebsd-amd64 hurd-i386
Section: debug
Depends: libpetsc3.1-dev (= ${binary:Version}), ${misc:Depends}
Suggests: petsc-dbg (= ${binary:Version})
Provides: petsc3.1-dbg
Description: Static debugging libraries for PETSc
 PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
 of data structures and routines for the scalable (parallel) solution of
 scientific applications modeled by partial differential equations.  It employs
 the MPI standard for all message-passing communication.  Several sample
 scientific applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.

Package: petsc3.1-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libpetsc3.1-dev (= ${binary:Version}), illuminator-doc
Description: Documentation and examples for PETSc
 PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
 of data structures and routines for the scalable (parallel) solution of
 scientific applications modeled by partial differential equations.  It employs
 the MPI standard for all message-passing communication.  Several sample
 scientific applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
#export DH_COMPAT=4
# Deprecated, now provided in file debian/compat

# On Alpha, override this with debian/rules PETSC_ARCH=linux_alpha_dec binary
# to build PETSc libs with the Compaq compilers, though that requires at least:
# libots, cpml-ev(5|6), cxml-ev(5|6), cfal and ccc.
# Note that only arch-dependent .debs are generated when you do this.
PETSC_ARCH=$(DEB_BUILD_GNU_SYSTEM)

# This defines the MPI implementation to use.  The easiest way to override this
# default is to specify while building, e.g. debian/rules PETSC_MPI=lam binary.
# Again, only arch-dependent .debs are generated when you do this.
# Note that as of PETSc 2.3.0 this only specifies the name of the PETSc
# packages, the implementation is chosen by BuildSystem according to what's
# available at build time.
PETSC_MPI=$(shell readlink /etc/alternatives/mpi | sed s/usr//g | sed s/include//g | sed s/lib//g | sed s/\\///g)
PETSC_MPI_DIR=/usr/lib/$(PETSC_MPI)

ifeq ($(PETSC_MPI),lam)
PETSC_HDF5_FLAGS=
else
PETSC_HDF5_FLAGS=--with-hdf5=1 --with-hdf5-dir=/usr
endif

# Overriding this with "contrib" attempts to link with parmetis (unimplemented).
DEBIAN_DIST=main

# PETSC_EXT is non-empty if a non-standard compiler (e.g. Compaq compilers on
# alpha), non-standard MPI implementation (e.g. lam), non-standard option (e.g.
# complex) or non-standard distribution (e.g. contrib) is being used.
PETSC_EXT=$(shell chmod +x debian/petsc-ext && debian/petsc-ext $(PETSC_ARCH) $(PETSC_MPI) $(DEBIAN_DIST) && chmod -x debian/petsc-ext)

# PETSC_VERSION is used for the package names, library sonames, and
# /usr/lib/petscdir subdirectory names.
PETSC_VERSION=3.1$(PETSC_EXT)

# PETSC_NAME is the install dir under /usr/lib and the base for package names
PETSC_NAME=petsc$(PETSC_VERSION)

# These files need to be customized based on architecture and/or version.
# See the binary arch target for how they are generated.
ARCH_GENERATED_FILES=debian/lib$(PETSC_NAME)-dev.docs \
	debian/lib$(PETSC_NAME)-dev.postinst debian/lib$(PETSC_NAME)-dev.prerm

clean:
	dh_testdir
	if [ -f TAGS.backup ]; then mv -f TAGS.backup TAGS; fi
	dh_clean -XTAGS
# These are needed for -lam, -dec and -contrib builds
	rm -rf debian/lib$(PETSC_NAME) debian/lib$(PETSC_NAME)-dev \
	  debian/lib$(PETSC_NAME)-dbg
	rm -f build* install* debian/*.substvars debian/extemp $(ARCH_GENERATED_FILES)
# This is commented because it really doesn't do anything useful for us
# (removes example executables, so what?)
# make PETSC_ARCH=$(PETSC_ARCH) PETSC_DIR=$(CURDIR) clean
# These probably should be removed by `make clean' but aren't
	rm -f RDict.log configure.log.bkp debian/control.in make.log \
	  confdefs.h conffix.h conftest.c
	rm -f `find . -name \*.o -print` `find . -name \*.pyc -print`
	rm -rf lib $(PETSC_ARCH)-c-debug $(PETSC_ARCH)-c-opt configure.log

	if [ -d .pc ]; then \
	  QUILT_PATCHES=debian/patches quilt pop -a -R || test $$? = 2; \
	  rm -rf .pc; \
	fi

patch:
	if [ ! -d .pc ]; then \
	  QUILT_PATCHES=debian/patches quilt push -a; \
	fi

# PETSc uses the "doctext" program to convert html docs to man pages, which
# apparently is open-source and available from
# http://www.mcs.anl.gov/~gropp/sowing .  When it is Debianized, I'll use it.
build-indep: patch
#	$(MAKE) -C docs PETSC_ARCH=$(PETSC_ARCH) \
#	 	PETSC_DIR=$(CURDIR)/lib$(PETSC_NAME) manualpages
	touch $@

# With debugging=1, only static libraries are generated.
# Build optimized libs second so files are consistent with optimized.
build-arch: patch
	echo Using MPI implementation $(PETSC_MPI) in directory $(PETSC_MPI_DIR)
	cp -fp /usr/share/automake-1.11/config.* config/configarch/
	cp -fp /usr/share/automake-1.11/config.* config/BuildSystem/config/packages/
	if [ ! -f TAGS.backup ]; then cp -a TAGS TAGS.backup; fi
	PETSC_DIR=$(CURDIR) PETSC_ARCH=$(PETSC_ARCH)-c-debug \
	  ./config/configure.py --with-debugging=1 \
	  --useThreads 0 --with-clanguage=C++ --with-c-support \
	  --with-fortran-interfaces=1 \
	  --with-mpi-dir=$(PETSC_MPI_DIR) \
	  --with-blas-lib=-lblas --with-lapack-lib=-llapack \
	  --with-umfpack=1 --with-umfpack-include=/usr/include/suitesparse \
	  --with-umfpack-lib=[/usr/lib/libumfpack.so,/usr/lib/libamd.so] \
	  --with-spooles=1 --with-spooles-include=/usr/include/spooles \
	  --with-spooles-lib=/usr/lib/libspooles.so \
	  --with-hypre=1 --with-hypre-dir=/usr \
	  --with-scotch=1 --with-scotch-include=/usr/include/scotch \
	  --with-scotch-lib=/usr/lib/libscotch.so $(PETSC_HDF5_FLAGS)
#	  --with-superlu=1 --with-superlu-include=/usr/include/superlu \
#	  --with-superlu-lib=/usr/lib/libsuperlu.so \
#	  --with-sprng=1 --with-sprng-include=/usr/include/sprng \
#	  --with-sprng-lib=/usr/lib/libsprng.so
#	  --with-fftw=1 --with-fftw-dir=/usr
#	  `if [ -e /usr/lib/libsidl.so ]; then echo "--with-babel=1 --with-babel-dir=/usr"; fi`
	$(MAKE) PETSC_ARCH=$(PETSC_ARCH)-c-debug PETSC_DIR=$(CURDIR) \
	  PETSC_INSTALL_DIR=/usr/lib/petscdir/$(PETSC_VERSION)
	PETSC_DIR=$(CURDIR) PETSC_ARCH=$(PETSC_ARCH)-c-opt \
	  ./config/configure.py --with-shared --with-debugging=0 \
	  --useThreads 0 --with-clanguage=C++ --with-c-support \
	  --with-fortran-interfaces=1 \
	  --with-mpi-dir=$(PETSC_MPI_DIR) --with-mpi-shared=1 \
	  --with-blas-lib=-lblas --with-lapack-lib=-llapack \
	  --with-umfpack=1 --with-umfpack-include=/usr/include/suitesparse \
	  --with-umfpack-lib=[/usr/lib/libumfpack.so,/usr/lib/libamd.so] \
	  --with-spooles=1 --with-spooles-include=/usr/include/spooles \
	  --with-spooles-lib=/usr/lib/libspooles.so \
	  --with-hypre=1 --with-hypre-dir=/usr \
	  --with-scotch=1 --with-scotch-include=/usr/include/scotch \
	  --with-scotch-lib=/usr/lib/libscotch.so $(PETSC_HDF5_FLAGS)
#	  --with-superlu=1 --with-superlu-include=/usr/include/superlu \
#	  --with-superlu-lib=/usr/lib/libsuperlu.so \
#	  --with-sprng=1 --with-sprng-include=/usr/include/sprng \
#	  --with-sprng-lib=/usr/lib/libsprng.so
#	  --with-fftw=1 --with-fftw-dir=/usr
#	  `if [ -e /usr/lib/libsidl.so ]; then echo "--with-babel=1 --with-babel-dir=/usr"; fi`
	$(MAKE) PETSC_ARCH=$(PETSC_ARCH)-c-opt PETSC_DIR=$(CURDIR) \
	  PETSC_INSTALL_DIR=/usr/lib/petscdir/$(PETSC_VERSION) \
	  SL_LINKER_SUFFIX_VERSIONED="so.$(PETSC_VERSION)"
	touch $@

build: build-arch build-indep
	touch $@

install-arch: build-arch
# Install mpirun.lam and fake petscarch in PETSC_DIR/bin and manpages.
# If someone builds with non-standard PETSC_ARCH we want that to be
# reflected in the installed script (also removes c-shell dependence).
	install -d debian/lib$(PETSC_NAME)-dev/usr/lib/petscdir/$(PETSC_VERSION)/bin
	cp -p debian/mpirun_lam \
	  debian/lib$(PETSC_NAME)-dev/usr/lib/petscdir/$(PETSC_VERSION)/bin/mpirun_lam
	chmod +x debian/lib$(PETSC_NAME)-dev/usr/lib/petscdir/$(PETSC_VERSION)/bin/mpirun_lam
	echo "#!/bin/sh -e" > \
	  debian/lib$(PETSC_NAME)-dev/usr/lib/petscdir/$(PETSC_VERSION)/bin/petscarch
	echo "echo $(PETSC_ARCH)-c-opt" >> \
	  debian/lib$(PETSC_NAME)-dev/usr/lib/petscdir/$(PETSC_VERSION)/bin/petscarch
	chmod +x debian/lib$(PETSC_NAME)-dev/usr/lib/petscdir/$(PETSC_VERSION)/bin/petscarch
# I know bin is an awkward place to put these, but can't think of a
# better one... (doc is a symlink in the -doc package)
	cp -p debian/petscarch.1 debian/mpirun_lam.1 \
	  debian/lib$(PETSC_NAME)-dev/usr/lib/petscdir/$(PETSC_VERSION)/bin
	gzip --best debian/lib$(PETSC_NAME)-dev/usr/lib/petscdir/$(PETSC_VERSION)/bin/*.1
# Install conf in PETSC_DIR
	install -d debian/lib$(PETSC_NAME)-dev/usr/lib/petscdir/$(PETSC_VERSION)/conf

## petsc 3.2.dfsg

=== debian/changelog ===
petsc (3.2.dfsg-6) unstable; urgency=low

  * Team upload.
  * Fix PETSC_CHECKS m4 macro so that it also detects static petsc library
    - petsc.m4: add -lhdf5 and -lstdc++ to PETSC_EXTERNAL_LIBS
    - d/rules: add g++ to petsc-compilers
    Thanks to Anton Gladky for a first version of the patch. (Closes: #691307)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 11 Nov 2012 16:26:06 +0100

petsc (3.2.dfsg-5) unstable; urgency=low

  * Rebuild with newest version of HDF5, and force >= 1.8.8.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Thu, 26 Jan 2012 15:02:15 -0500

petsc (3.2.dfsg-4) unstable; urgency=low

  * Added lam4-dev to Build-Conflicts (closes: #656189).
  * Added alpha and lpia to architecture list (closes: #655940).
  * Added CHOLMOD support (closes: #642439).
  * Test building with HDF5 on all arches.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Thu, 26 Jan 2012 14:10:51 -0500

petsc (3.2.dfsg-3) unstable; urgency=low

  * Reinstated s390x arch since an external error prevents it from building (no
    s390x support in PVM -> no ScaLAPACK).
  * Changed libscotch-dev to libptscotch-dev in libpetsc3.2-dev Build-Depends.
  * Added cmake to Build-Conflicts because it causes setting of
    PETSC_BUILD_USING_CMAKE and breaks SLEPc build.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Mon, 16 Jan 2012 11:13:41 -0500

petsc (3.2.dfsg-2) unstable; urgency=low

  * Fixed MUMPS support to work with PTScotch (thanks: Satish Balay).
  * Removed doc link to non-free PDF file.
  * Added mpich2 case to debian/rules (closes: #652307).
  * Restrict architectures to exclude armel because of an unknown python bug
    (closes: #651453), kfreebsd-* because of a FORTRAN test problem, and s390x
    because of dependency issues (missing architecture in PVM).

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Wed, 11 Jan 2012 18:49:43 -0500

petsc (3.2.dfsg-1) unstable; urgency=low

  * New upstream (closes: #652101).
  * Removed bin/win32fe/win32fe.exe and win32feutils.dll, docs/developers.pdf,
    docs/manual.pdf, src/tops/twopager.pdf and the share and xcode directories
    from upstream due to lack of source.
  * Forward-ported patches, splitting ld.patch into hypre.patch and
    nocleanup.patch.
  * Changed arch-dependent packages to "any" -- let's test all arches.
  * Reinstated patch/unpatch in build-arch, build-indep and clean targets.
  * Re-added quilt to Build-Depends, lintian complains otherwise.
  * PETSc dropped support for Scotch, need to disable MUMPS as well for now
    (but keeping both in dependencies).
  * Requires newer SuiteSparse than version 3.4.0 in Debian, kludged it to
    compile properly but runtime behavior is unpredictable at best.
  * Lintian overrides for false positives on copyright and petsc-dev.
  * Using MPI selection from mpi-default-dev.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Fri, 30 Dec 2011 13:27:43 -0500

petsc (3.1.dfsg-11.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't mix source format 3.0 (quilt) and manual usage of quilt:
    - Drop manual quilt calls from debian/rules;
    - Drop superfluous quilt Build-Depends.
    Closes: #643488

 -- Didier Raboud <odyx@debian.org>  Tue, 15 Nov 2011 17:20:34 +0100

petsc (3.1.dfsg-11) unstable; urgency=low

  [ Adam C. Powell, IV ]
  * Use HDF5 only on openmpi architectures (closes: #602660, #605294).
  * Bump Standards-Version, no changes needed.
  * Update to upstream patch level 8 (closes: #621609).
  * Clean target update.
  * Fix stamps to prevent double-building.

  [ Matthias Klose ]
  * Patch PETSc build system to link properly to hypre libs, and change BLACS
    lib order in rules, to make binutils-gold work (closes: #608902).
  * Explicitly set PETSC_BUILD_GNU_SYSTEM in rules.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Thu, 07 Apr 2011 21:20:50 -0400

petsc (3.1.dfsg-10) unstable; urgency=low

  * Fixed mpi-default-dev implementation selection (closes: #604549).

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Tue, 23 Nov 2010 15:08:38 -0500

petsc (3.1.dfsg-9) unstable; urgency=low

  * Choose MPI implementation based on mpi-default-dev (closes: #604549).

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Mon, 22 Nov 2010 20:53:41 -0500

petsc (3.1.dfsg-8) unstable; urgency=low

  [ Adam C. Powell, IV ]
  * Build with HDF5 regardless of MPI implementation.
  * Symlinked $(PETSC_ARCH)-cxx-[opt|debug] to -c-[opt|debug] to indicate C++
    support (closes: #594046).

  [ Christophe Trophime ]
  * Upstream patch level 5.
  * Added (non-Scotch) MUMPS support (closes: #600265).
  * Bumped Standards-Version.
  * Silenced several clean commands.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Thu, 04 Nov 2010 10:10:34 -0400

=== debian/control ===
Source: petsc
Section: devel
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: "Adam C. Powell, IV" <hazelsct@debian.org>
DM-Upload-Allowed: yes
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 5.0), quilt, python (>= 2.2), gfortran, automake,
 libx11-dev, mpi-default-dev, mpi-default-bin,
 libblas-dev | libblas-3gf.so, liblapack-dev | liblapack-3gf.so,
 libsuitesparse-dev (>= 3.1.0-2),
 libspooles-dev (>= 2.2-6), libhypre-dev (>= 2.4.0), libptscotch-dev,
 libhdf5-mpi-dev (>= 1.8.8),
 libblacs-mpi-dev, libscalapack-mpi-dev, libmumps-dev
Build-Conflicts: libatlas3gf-base, libatlas-base-dev, cmake, lam4-dev
Vcs-Git: git://git.debian.org/git/debian-science/packages/petsc.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/petsc.git
Homepage: http://www.mcs.anl.gov/petsc

Package: libpetsc3.2-dev
Architecture: alpha amd64 armhf hurd-i386 i386 ia64 lpia mips mipsel powerpc s390 s390x sparc
Section: libdevel
Depends: libpetsc3.2 (= ${binary:Version}), ${mpi-dev}, ${linear-algebra-dev}, ${petsc-compilers}, ${petsc-extra-dev}, libx11-dev, libsuitesparse-dev, libsuperlu3-dev, libspooles-dev, libhypre-dev (>= 2.0.0.dfsg-7), libptscotch-dev, ${babel-dev}, ${misc:Depends}, ${hdf5-dev}, libblacs-mpi-dev, libscalapack-mpi-dev, libmumps-dev
Suggests: petsc-dev (= ${binary:Version}), libpetsc3.2-dbg (= ${binary:Version}), petsc3.2-doc (= ${binary:Version}), libluminate-dev
Provides: petsc3.2-dev
Description: Static libraries, shared links, header files for PETSc
 PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
 of data structures and routines for the scalable (parallel) solution of
 scientific applications modeled by partial differential equations.  It employs
 the MPI standard for all message-passing communication.  Several sample
 scientific applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.

Package: petsc-dev
Architecture: all
Section: libdevel
Depends: libpetsc3.2-dev, ${misc:Depends}
Suggests: petsc-dbg
Description: Virtual package depending on latest PETSc development package
 This metapackage will always depend on the most recent version of petscX-dev
 (X=version), so if you install it then you will get upgrades automatically.

Package: libpetsc3.2
Architecture: alpha amd64 armhf hurd-i386 i386 ia64 lpia mips mipsel powerpc s390 s390x sparc
Section: libs
Depends: ${shlibs:Depends}, ${mpi}, ${misc:Depends}
Description: Shared libraries for version 3.2 of PETSc
 PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
 of data structures and routines for the scalable (parallel) solution of
 scientific applications modeled by partial differential equations.  It employs
 the MPI standard for all message-passing communication.  Several sample
 scientific applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.

Package: libpetsc3.2-dbg
Architecture: alpha amd64 armhf hurd-i386 i386 ia64 lpia mips mipsel powerpc s390 s390x sparc
Section: debug
Depends: libpetsc3.2-dev (= ${binary:Version}), ${misc:Depends}
Suggests: petsc-dbg (= ${binary:Version})
Provides: petsc3.2-dbg
Description: Static debugging libraries for PETSc
 PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
 of data structures and routines for the scalable (parallel) solution of
 scientific applications modeled by partial differential equations.  It employs
 the MPI standard for all message-passing communication.  Several sample
 scientific applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.

Package: petsc3.2-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libpetsc3.2-dev (= ${binary:Version}), illuminator-doc
Description: Documentation and examples for PETSc
 PETSc is the "Portable Extensible Toolkit for Scientific Computation", a suite
 of data structures and routines for the scalable (parallel) solution of
 scientific applications modeled by partial differential equations.  It employs
 the MPI standard for all message-passing communication.  Several sample
 scientific applications, as well as various papers and talks, demonstrate the
 features of the PETSc libraries.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
#export DH_COMPAT=4
# Deprecated, now provided in file debian/compat

# On Alpha, override this with debian/rules PETSC_ARCH=linux_alpha_dec binary
# to build PETSc libs with the Compaq compilers, though that requires at least:
# libots, cpml-ev(5|6), cxml-ev(5|6), cfal and ccc.
# Note that only arch-dependent .debs are generated when you do this.
DEB_BUILD_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM)
PETSC_ARCH=$(DEB_BUILD_GNU_SYSTEM)

# This defines the MPI implementation to use.  The easiest way to override this
# default is to specify while building, e.g. debian/rules PETSC_MPI=lam binary.
# Again, only arch-dependent .debs are generated when you do this.
# Note that as of PETSc 2.3.0 this only specifies the name of the PETSc
# packages, the implementation is chosen by BuildSystem according to what's
# available at build time.
include /usr/share/mpi-default-dev/debian_defaults
PETSC_MPI=$(ARCH_DEFAULT_MPI_IMPL)
PETSC_MPI_DIR=/usr/lib/$(PETSC_MPI)

# Overriding this with "contrib" attempts to link with parmetis (unimplemented).
DEBIAN_DIST=main

# PETSC_EXT is non-empty if a non-standard compiler (e.g. Compaq compilers on
# alpha), non-standard MPI implementation (e.g. lam), non-standard option (e.g.
# complex) or non-standard distribution (e.g. contrib) is being used.
PETSC_EXT=$(shell chmod +x debian/petsc-ext && debian/petsc-ext $(PETSC_ARCH) $(PETSC_MPI) $(DEBIAN_DIST) && chmod -x debian/petsc-ext)

PETSC_HDF5_FLAGS=$(shell if [ -e /usr/lib/libhdf5.so ]; then echo "--with-hdf5=1 --with-hdf5-dir=/usr"; fi)

# PETSC_VERSION is used for the package names, library sonames, and
# /usr/lib/petscdir subdirectory names.
PETSC_VERSION=3.2$(PETSC_EXT)

# PETSC_NAME is the install dir under /usr/lib and the base for package names
PETSC_NAME=petsc$(PETSC_VERSION)

# These files need to be customized based on architecture and/or version.
# See the binary arch target for how they are generated.
ARCH_GENERATED_FILES=debian/lib$(PETSC_NAME)-dev.docs \
	debian/lib$(PETSC_NAME)-dev.postinst debian/lib$(PETSC_NAME)-dev.prerm

clean:
	dh_testdir
	if [ -f TAGS.backup ]; then mv -f TAGS.backup TAGS; fi
	dh_quilt_unpatch
	dh_clean -XTAGS
# These are needed for -lam, -dec and -contrib builds
	-rm -rf debian/lib$(PETSC_NAME) debian/lib$(PETSC_NAME)-dev \
	  debian/lib$(PETSC_NAME)-dbg
	-rm -f build* install* debian/*.substvars debian/extemp $(ARCH_GENERATED_FILES)
# This is commented because it really doesn't do anything useful for us
# (removes example executables, so what?)
# make PETSC_ARCH=$(PETSC_ARCH) PETSC_DIR=$(CURDIR) clean
# These probably should be removed by `make clean' but aren't
	-rm -f RDict.log RDict.db configure.log.bkp debian/control.in make.log \
	  confdefs.h conffix.h conftest.c lib1.so lib2.so CMakeLists.txt
	-rm -f config/BuildSystem/config/packages/config.* conf/petscvariables
	-rm -f `find . -name \*.o -print` `find . -name \*.pyc -print`
	-rm -rf lib $(PETSC_ARCH)-c-debug $(PETSC_ARCH)-c-opt configure.log

# PETSc uses the "doctext" program to convert html docs to man pages, which
# apparently is open-source and available from
# http://www.mcs.anl.gov/~gropp/sowing .  When it is Debianized, I'll use it.
build-indep: 
	dh_quilt_patch
#	$(MAKE) -C docs PETSC_ARCH=$(PETSC_ARCH) \
#	 	PETSC_DIR=$(CURDIR)/lib$(PETSC_NAME) manualpages
	touch $@

# With debugging=1, only static libraries are generated.
# Build optimized libs second so files are consistent with optimized.
build-arch: 
	dh_quilt_patch
	echo Using MPI implementation $(PETSC_MPI) in directory $(PETSC_MPI_DIR)
	cp -fp /usr/share/automake-1.11/config.* config/BuildSystem/config/packages/
	if [ ! -f TAGS.backup ]; then cp -a TAGS TAGS.backup; fi
	PETSC_DIR=$(CURDIR) PETSC_ARCH=$(PETSC_ARCH)-c-debug \
	  ./config/configure.py --with-debugging=1 \
	  --useThreads 0 --with-clanguage=C++ --with-c-support \
	  --with-fortran-interfaces=1 \
	  --with-mpi-dir=$(PETSC_MPI_DIR) \
	  --with-blas-lib=-lblas --with-lapack-lib=-llapack \
	  --with-blacs=1 --with-blacs-include=/usr/include \
	  --with-blacs-lib=[/usr/lib/libblacsCinit-$(PETSC_MPI).so,/usr/lib/libblacs-$(PETSC_MPI).so] \
	  --with-scalapack=1 --with-scalapack-include=/usr/include \
	  --with-scalapack-lib=/usr/lib/libscalapack-$(PETSC_MPI).so \
	  --with-mumps=1 --with-mumps-include=/usr/include \
	  --with-mumps-lib=[/usr/lib/libdmumps.so,/usr/lib/libzmumps.so,/usr/lib/libsmumps.so,/usr/lib/libcmumps.so,/usr/lib/libmumps_common.so,/usr/lib/libpord.so] \
	  --with-umfpack=1 --with-umfpack-include=/usr/include/suitesparse \
	  --with-umfpack-lib=[/usr/lib/libumfpack.so,/usr/lib/libamd.so] \
	  --with-cholmod=1 --with-cholmod-include=/usr/include/suitesparse \
	  --with-cholmod-lib=/usr/lib/libcholmod.so \
	  --with-spooles=1 --with-spooles-include=/usr/include/spooles \
	  --with-spooles-lib=/usr/lib/libspooles.so \
	  --with-hypre=1 --with-hypre-dir=/usr \
	  --with-ptscotch=1 --with-ptscotch-include=/usr/include/scotch \
	  --with-ptscotch-lib=[/usr/lib/libptesmumps.so,/usr/lib/libptscotch.so,/usr/lib/libptscotcherr.so] \
	  $(PETSC_HDF5_FLAGS)
#	  --with-superlu=1 --with-superlu-include=/usr/include/superlu \
#	  --with-superlu-lib=/usr/lib/libsuperlu.so \
#	  --with-sprng=1 --with-sprng-include=/usr/include/sprng \
#	  --with-sprng-lib=/usr/lib/libsprng.so
#	  --with-fftw=1 --with-fftw-dir=/usr
#	  `if [ -e /usr/lib/libsidl.so ]; then echo "--with-babel=1 --with-babel-dir=/usr"; fi`
	$(MAKE) PETSC_ARCH=$(PETSC_ARCH)-c-debug PETSC_DIR=$(CURDIR) \
	  PETSC_INSTALL_DIR=/usr/lib/petscdir/$(PETSC_VERSION) all-legacy
	PETSC_DIR=$(CURDIR) PETSC_ARCH=$(PETSC_ARCH)-c-opt \
	  ./config/configure.py --with-shared-libraries --with-debugging=0 \
	  --useThreads 0 --with-clanguage=C++ --with-c-support \
	  --with-fortran-interfaces=1 \
	  --with-mpi-dir=$(PETSC_MPI_DIR) --with-mpi-shared=1 \
	  --with-blas-lib=-lblas --with-lapack-lib=-llapack \
	  --with-blacs=1 --with-blacs-include=/usr/include \
	  --with-blacs-lib=[/usr/lib/libblacsCinit-$(PETSC_MPI).so,/usr/lib/libblacs-$(PETSC_MPI).so] \
	  --with-scalapack=1 --with-scalapack-include=/usr/include \
	  --with-scalapack-lib=/usr/lib/libscalapack-$(PETSC_MPI).so \
	  --with-mumps=1 --with-mumps-include=/usr/include \
	  --with-mumps-lib=[/usr/lib/libdmumps.so,/usr/lib/libzmumps.so,/usr/lib/libsmumps.so,/usr/lib/libcmumps.so,/usr/lib/libmumps_common.so,/usr/lib/libpord.so] \
	  --with-umfpack=1 --with-umfpack-include=/usr/include/suitesparse \
	  --with-umfpack-lib=[/usr/lib/libumfpack.so,/usr/lib/libamd.so] \
	  --with-cholmod=1 --with-cholmod-include=/usr/include/suitesparse \
	  --with-cholmod-lib=/usr/lib/libcholmod.so \
	  --with-spooles=1 --with-spooles-include=/usr/include/spooles \
	  --with-spooles-lib=/usr/lib/libspooles.so \
	  --with-hypre=1 --with-hypre-dir=/usr \
	  --with-ptscotch=1 --with-ptscotch-include=/usr/include/scotch \
	  --with-ptscotch-lib=[/usr/lib/libptesmumps.so,/usr/lib/libptscotch.so,/usr/lib/libptscotcherr.so] \
	  $(PETSC_HDF5_FLAGS)
#	  --with-superlu=1 --with-superlu-include=/usr/include/superlu \
#	  --with-superlu-lib=/usr/lib/libsuperlu.so \
#	  --with-sprng=1 --with-sprng-include=/usr/include/sprng \
#	  --with-sprng-lib=/usr/lib/libsprng.so
#	  --with-fftw=1 --with-fftw-dir=/usr
#	  `if [ -e /usr/lib/libsidl.so ]; then echo "--with-babel=1 --with-babel-dir=/usr"; fi`
	$(MAKE) PETSC_ARCH=$(PETSC_ARCH)-c-opt PETSC_DIR=$(CURDIR) \
	  PETSC_INSTALL_DIR=/usr/lib/petscdir/$(PETSC_VERSION) \

=== debian/watch ===
version=3
opts=uversionmangle=s/-(p\d+)$/.$1/ \
 ftp://ftp.mcs.anl.gov/pub/petsc/release-snapshots/petsc-([\d\.]+-p\d+).tar.gz
